<?php
	//mengambil data tahun anggaran aktif untuk user yang sedang aktif
	$username=$_SESSION["ses_admin_id"];
	$qryy=mysqli_query($mysqli,"SELECT * FROM settings WHERE username='$username'");

	if(mysqli_num_rows($qryy)>0){
		$datay=mysqli_fetch_array($qryy);
		$tahun_anggaran=$datay["tahun_anggaran"];
	}else{
		msgbox("Tahun Anggaran belum diatur di halaman pengaturan!");
		lempar("admin.php?page=settings&page_desc=Pengaturan Tahun Anggaran Aktif");
		die();
	}

	$qry=mysqli_query($mysqli,"SELECT * FROM t_anggaran WHERE tahun_anggaran='$tahun_anggaran' AND id_desa='$_SESSION[ses_id_desa]' ORDER BY id ASC");
	
	$total_belanja=0;
	if(mysqli_num_rows($qry)>0){
		
		$qry0=mysqli_query($mysqli,"SELECT * FROM t_anggaran WHERE level_kode_rekening='1' AND tahun_anggaran='$tahun_anggaran' AND id_desa='$_SESSION[ses_id_desa]'  ORDER BY kode_rekening ASC");
		echo "<h3>Tahun Anggaran Aktif: $tahun_anggaran</h3>";
		echo "<h3 align=\"right\" style=\"padding-right:10px\"><a href='?action=add_anggaran_desa' style=\"color:#FF0066\">Tambah Mata Anggaran</a></h3>";

echo "<table class=\"table\">";
		echo "<tr bgcolor=\"#ccc\">
				<th width='5%'>Kode Rekening</th>
				<th width='45%'>Uraian</th>
				<th width='15%'>Anggaran</th>
				<th width='15%'>Keterangan</th>
				<th width='20%'>Opsi</th>
			  </tr>";
		while($kol0=mysqli_fetch_array($qry0)){
			if($kol0[anggaran]==0){
				$anggaran="";
			}else{
				$anggaran="Rp. " . number_format($kol0[anggaran],0,",",".");
			}
			if($kol0[kode]==0){
				$kode="";
			}else{
				$kode=$kol0[kode];
			}
			$total_belanja=$total_belanja + $kol0[anggaran];
			if($kol0[keterangan]=="PENYEDIA" AND $kol0[anggaran]>200000000 ){
				$link_lelang="<br/><a href=\"?action=add_transaksi&id_anggaran=$kol0[id]\"><img src=\"images/lelang.jpg\" /></a>";
			}else{
				$link_lelang="";
			}
			echo "<tr bgcolor=\"#B4FC83\">
					<td valign='top'>$kol0[kode_rekening]</td>
					<td  valign='top'>$kol0[uraian]&nbsp;&nbsp;<a href='admin.php?action=add_anggaran_desa&kode_rekening=$kol0[kode_rekening]&add=true'><img src='images/tambah_kecil.png'></a></td>
					<td valign='top'><div  align='right'>$anggaran</div></td>
					<td valign='top'>$kol0[keterangan]</td>
					<td valign='top'><div align='center'><a href=\"?action=edit_anggaran_desa&id_anggaran=$kol0[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran_desa.php?id_anggaran=$kol0[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol0[uraian] ?')\"><img src=\"images/delete.gif\" /></a>$link_lelang</div></td>
				  </tr>";
			
			$qryx1=mysqli_query($mysqli,"SELECT * FROM t_anggaran WHERE level_kode_rekening='2' AND jenis_kode_rekening='H' AND induk_kode_rekening='$kol0[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' AND id_desa='$_SESSION[ses_id_desa]'  ORDER BY kode_rekening ASC");
			while($kol1=mysqli_fetch_array($qryx1)){
				if($kol1[anggaran]==0){
					$anggaran="";
				}else{
					$anggaran="Rp. " . number_format($kol1[anggaran],0,",",".");
				}
				if($kol1[kode]==0){
					$kode="";
				}else{
					$kode=$kol1[kode];
				}
				$total_belanja=$total_belanja + $kol1[anggaran];

				if($kol1[keterangan]=="PENYEDIA" AND $kol1[anggaran]>200000000){
					$link_lelang="<br/><a href=\"?action=add_transaksi&id_anggaran=$kol1[id]\"><img src=\"images/lelang.jpg\" /></a>";
				}else{
					$link_lelang="";
				}
				echo "<tr bgcolor=\"#CBFDAA\">
						<td valign='top'>$kol1[kode_rekening]</td>
						<td valign='top'>$kol1[uraian]&nbsp;&nbsp;<a href='admin.php?action=add_anggaran_desa&kode_rekening=$kol1[kode_rekening]'><img src='images/tambah_kecil.png'></a></td>
						<td valign='top'><div  align='right'>$anggaran</div></td>
						<td valign='top'>$kol1[keterangan]</td>
						<td valign='top'><div align='center'><a href=\"?action=edit_anggaran_desa&id_anggaran=$kol1[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran_desa.php?id_anggaran=$kol1[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol1[uraian] ?')\"><img src=\"images/delete.gif\" /></a>$link_lelang</div></td>
					  </tr>";

				  //echo "<optgroup label='&nbsp;&nbsp;$kol1[kode_rekening] - $kol1[uraian]'>";
				$qryx2=mysqli_query($mysqli,"SELECT * FROM t_anggaran WHERE level_kode_rekening='3'  AND jenis_kode_rekening='H' AND induk_kode_rekening='$kol1[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' AND id_desa='$_SESSION[ses_id_desa]'  ORDER BY kode_rekening ASC");
				while($kol2=mysqli_fetch_array($qryx2)){
					if($kol2[anggaran]==0){
						$anggaran="";
					}else{
						$anggaran="Rp. " . number_format($kol2[anggaran],0,",",".");
					}

					if($kol2[kode]==0){
						$kode="";
					}else{
						$kode=$kol2[kode];
					}
					$total_belanja=$total_belanja + $kol2[anggaran];

					if($kol2[keterangan]=="PENYEDIA" AND $kol2[anggaran]>200000000){
						$link_lelang="<br/><a href=\"?action=add_transaksi&id_anggaran=$kol2[id]\"><img src=\"images/lelang.jpg\" /></a>";
					}else{
						$link_lelang="";
					}
					echo "<tr bgcolor=\"#E1E1E1\">
							<td valign='top'>$kol2[kode_rekening]</td>
							<td valign='top'>$kol2[uraian]&nbsp;&nbsp;<a href='admin.php?action=add_anggaran_desa&kode_rekening=$kol2[kode_rekening]'><img src='images/tambah_kecil.png'></a></td>
							<td valign='top'><div  align='right'>$anggaran</div></td>
							<td valign='top'>$kol2[keterangan]</td>
							<td valign='top'><div align='center'><a href=\"?action=edit_anggaran_desa&id_anggaran=$kol2[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran_desa.php?id_anggaran=$kol2[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol2[uraian] ?')\"><img src=\"images/delete.gif\" /></a>$link_lelang</div></td>
						  </tr>";

					$qryx3=mysqli_query($mysqli,"SELECT * FROM t_anggaran WHERE level_kode_rekening='4'  AND jenis_kode_rekening='H' AND induk_kode_rekening='$kol2[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' AND id_desa='$_SESSION[ses_id_desa]'  ORDER BY kode_rekening ASC");
					while($kol3=mysqli_fetch_array($qryx3)){
						if($kol3[anggaran]==0){
							$anggaran="";
						}else{
							$anggaran="Rp. " . number_format($kol3[anggaran],0,",",".");
						}

						if($kol3[kode]==0){
							$kode="";
						}else{
							$kode=$kol3[kode];
						}
						$total_belanja=$total_belanja + $kol3[anggaran];

						if($kol3[keterangan]=="PENYEDIA" AND $kol3[anggaran]>200000000){
							$link_lelang="<br/><a href=\"?action=add_transaksi&id_anggaran=$kol3[id]\"><img src=\"images/lelang.jpg\" /></a>";
						}else{
							$link_lelang="";
						}
						echo "<tr bgcolor=\"#F2F2F2\">
							<td valign='top'>$kol3[kode_rekening]</td>
							<td valign='top'>$kol3[uraian]</td>
							<td valign='top'><div  align='right'>$anggaran</div></td>
							<td valign='top'>$kol3[keterangan]</td>
							<td valign='top'><div align='center'><a href=\"?action=edit_anggaran_desa&id_anggaran=$kol3[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran_desa.php?id_anggaran=$kol3[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol3[uraian] ?')\"><img src=\"images/delete.gif\" /></a>$link_lelang</div></td>
						  </tr>";

						//echo "<optgroup label='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$kol3[kode_rekening] - $kol3[uraian]'>";
						$qryx4=mysqli_query($mysqli,"SELECT * FROM t_anggaran WHERE level_kode_rekening='4' AND jenis_kode_rekening='D' AND kode_rekening='$kol3[kode_rekening]' AND tahun_anggaran='$tahun_anggaran' AND id_desa='$_SESSION[ses_id_desa]'  ORDER BY kode_rekening ASC");
						while($kol4=mysqli_fetch_array($qryx4)){
							if($kol4[anggaran]==0){
								$anggaran="";
							}else{
								$anggaran="Rp. " . number_format($kol4[anggaran],0,",",".");
							}

							if($kol4[kode]==0){
								$kode="";
							}else{
								$kode=$kol4[kode];
							}

							$total_belanja=$total_belanja + $kol4[anggaran];

							if($kol4[keterangan]=="PENYEDIA" AND $kol4[anggaran]>200000000){
								$link_lelang="<br/><a href=\"?action=add_transaksi&id_anggaran=$kol4[id]\"><img src=\"images/lelang.jpg\" /></a>";
							}else{
								$link_lelang="";
							}

							echo "<tr>
									<td valign='top'>&nbsp;</td>
									<td valign='top'>- $kol4[uraian]</td>
									<td valign='top'><div  align='right'>$anggaran</div></td>
									<td valign='top'>$kol4[keterangan]</td>
									<td valign='top'><div align='center'><a href=\"?action=edit_anggaran_desa&id_anggaran=$kol4[id]\"><img src=\"images/edit.gif\" /></a>&nbsp;|&nbsp;<a href=\"_del_anggaran_desa.php?id_anggaran=$kol4[id]\" onclick=\"return confirm('Yakin akan menghapus data anggaran $kol4[uraian] ?')\"><img src=\"images/delete.gif\" /></a>$link_lelang</div></td>
								  </tr>";

							

							//echo "<option value=''>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$kol4[kode_rekening] - $kol4[uraian]</option>";
						}

						echo "<tr>
									<td>&nbsp;</td>
									<td ><a href='admin.php?action=add_anggaran_desa&kode_rekening=$kol3[kode_rekening]&detail=true'><img src='images/tambah.png'></a></td>
									<td>&nbsp;</td>
									<td></td>
									<td></td>
									<td></td>
								  </tr>";

						
					}

					
				}

				
			}
			

			
		}

		/*echo "<tr>
					<td></td>
					<td><b>JUMLAH BELANJA</b></td>
					<td><div align='right'><b>Rp. ".number_format($total_belanja,0,",",".")."</b></div></td>
					<td></td>
					<td></td>
					<td></td>
			   </tr>";
		*/
		
		echo "<tr>
					<td></td>
					<td>&nbsp;</td>
					<td><div align='right'>&nbsp;</div></td>
					<td></td>
					<td></td>
					<td></td>
			   </tr>";
		

		echo "</table>";
	}else{
	
		echo "<table width='100%' align='center' cellpadding='0' cellspacing='0' border='1' bgcolor='#C4D9FF'>";
		echo "<tr bgcolor='#fffccc'>
				<th>Kode Rekening</th>
				<th>Uraian</th>
				<th>Anggaran (Rp.)</th>
				<th>Keterangan Penyedia (1)/Swakelola (2)</th>
				<th>Opsi</th>
			  </tr>";
		
		echo "<tr>
					<td colspan='6' align='center'>Tidak ditemukan data anggaran.<br/><br/>Silakan klik tombol berikut ini untuk membuat Struktur Format Standar Anggaran secara otomatis<br/><input type='button' value='Buat Struktur Format Anggaran' onclick=\"window.location='buat_struktur.php?tahun_anggaran=$tahun_anggaran'\"/></td>
			     </tr>";		
		echo "</table>";
	}
?>